#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: basic-prelude
version: 0.3.8
id: basic-prelude-0.3.8-e1b571814a55ec3455dc6b2e509dc20d

license: MIT
copyright:
maintainer: michael@snoyman.com
stability:
homepage: https://github.com/snoyberg/basic-prelude
package-url:
synopsis: An enhanced core prelude; a common foundation for alternate preludes.
description: The premise of @basic-prelude@ is that there are a lot of very commonly desired features missing from the standard @Prelude@, such as commonly used operators (@\<$\>@ and @>=>@, for instance) and imports for common datatypes (e.g., @ByteString@ and @Vector@). At the same time, there are lots of other components which are more debatable, such as providing polymorphic versions of common functions.
             .
             So @basic-prelude@ is intended to give a common foundation for a number of alternate preludes. The package provides two modules: @CorePrelude@ provides the common ground for other preludes to build on top of, while @BasicPrelude@ exports @CorePrelude@ together with commonly used list functions to provide a drop-in replacement for the standard @Prelude@.
             .
             Users wishing to have an improved @Prelude@ can use @BasicPrelude@. Developers wishing to create a new prelude should use @CorePrelude@.
             .
             Release history:
             .
             [0.3] Moved a number of exports from @BasicPrelude@ to @CorePrelude@ and vice-versa.
             .
             [0.2] Renamed @BasicPrelude@ to @CorePrelude@ and added a new @BasicPrelude@ module provided a full-featured @Prelude@ alternative. Also added a number of new exports.
             .
             [0.1] Initial version, code taken from @classy-prelude@ with a few minor tweaks.
category: Control, Prelude
author: Michael Snoyman, Dan Burton
exposed: True
exposed-modules: BasicPrelude CorePrelude
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/basic-prelude-0.3.8
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/basic-prelude-0.3.8
              /usr/local/lib
hs-libraries: HSbasic-prelude-0.3.8
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: ReadArgs-1.2.1-6149b9e0cb9eebee20a69ab46a96138c
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         hashable-1.2.2.0-7cfb61f0c68a03cacd19199a33e9c118
         lifted-base-0.2.3.0-90c2b172342103b1712ff077ebefdeb9
         safe-0.3.7-2ded69bb9a9c9a827d71a1eaecf2a75f
         system-filepath-0.4.12-56b77f1f39d9b901318f43cfc5c5c578
         text-1.1.0.0-ae5f08307fb9d06679d77b9fce515032
         transformers-0.3.0.0-16a97696ae672940f1523b262e566ba5
         unordered-containers-0.2.4.0-ab8d3f7773b26c54df0958504a88212e
         vector-0.10.9.1-2584ae046ff7f59a3c2a1976714626fe
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/basic-prelude-0.3.8/html/basic-prelude.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/basic-prelude-0.3.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
